<?php
$wp_customize->add_setting( 'empowerment_breadcrumb_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_breadcrumb_heading',
		array(
			'label' => esc_html__( 'Breadcrumb Settings', 'empowerment' ),
			'type' => 'heading',
			'section' => 'empowerment_breadcrumb_section',
		)
	) 
);
$wp_customize->add_setting( 'empowerment_breadcrumb_switch',
	array(
		'default' => true,
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_switch_sanitization'
	)
);
$wp_customize->add_control(
	new Empowerment_Toggle_Switch_Custom_control(
		$wp_customize, 'empowerment_breadcrumb_switch',
		array(
			'label' => esc_html__( 'Show Breadcrumb', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_section'
		)
	)
);
$wp_customize->add_setting( 'empowerment_breadcrumb_separator', 
	array(
		'default' => '/',
		'sanitize_callback' => 'wp_kses_post',
	)
);
$wp_customize->add_control( 'empowerment_breadcrumb_separator', 
	array(
		'label' => esc_html__( 'Breadcrumb Separator', 'empowerment' ),
		'section' => 'empowerment_breadcrumb_section',
		'type' => 'text',
		'active_callback' => 'empowerment_bread_button_cb'
	)
); 
$wp_customize->add_setting( 'empowerment_bread_sep_color',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new Empowerment_Customize_Alpha_Color_Control( 
		$wp_customize, 'empowerment_bread_sep_color',
		array(
			'label' => esc_html__( 'Breadcrumb Separator Color', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_section',
			'show_opacity' => false,
			'active_callback' => 'empowerment_bread_button_cb'
		)
	)
);
$wp_customize->add_setting( 'empowerment_bread_nav_color',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new Empowerment_Customize_Alpha_Color_Control( 
		$wp_customize, 'empowerment_bread_nav_color',
		array(
			'label' => esc_html__( 'Breadcrumb Nav Color', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_section',
			'show_opacity' => false,
			'active_callback' => 'empowerment_bread_button_cb'
		)
	)
);
$wp_customize->add_setting( 'empowerment_bread_nav_hover_color',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new Empowerment_Customize_Alpha_Color_Control( 
		$wp_customize, 'empowerment_bread_nav_hover_color',
		array(
			'label' => esc_html__( 'Breadcrumb Nav Hover Color', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_section',
			'show_opacity' => false,
			'active_callback' => 'empowerment_bread_button_cb'
		)
	)
);