<?php
$wp_customize->add_setting(
	'empowerment_shop_setting_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control(
	new Empowerment_Simple_Notice_Custom_Control(
		$wp_customize,
		'empowerment_shop_setting_heading',
		array(
			'label' => esc_html__('Shop Settings', 'empowerment'),
			'type' => 'heading',
			'section' => 'empowerment_shop_setting_section',
		)
	)
);
$wp_customize->add_setting(
	'empowerment_shop_display_layout',
	array(
		'default' => 'grid',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_radio_sanitization'
	)
);
$wp_customize->add_control(
	new Empowerment_Image_Radio_Button_Custom_Control(
		$wp_customize,
		'empowerment_shop_display_layout',
		array(
			'label' => esc_html__('Display Layout', 'empowerment'),
			'section' => 'empowerment_shop_setting_section',
			'choices' => array(
				'list' => array(
					'image' => trailingslashit(get_template_directory_uri()) . 'inc/empowerment-customizer/images/archive-layout3.png',
					'name' => esc_html__('List', 'empowerment')
				),
				'grid' => array(
					'image' => trailingslashit(get_template_directory_uri()) . 'inc/empowerment-customizer/images/archive-layout.png',
					'name' => esc_html__('Grid', 'empowerment')
				)
			)
		)
	)
);
$wp_customize->add_setting(
	'empowerment_shop_column_no',
	array(
		'capability'            => 'edit_theme_options',
		'default'               => 3,
		'sanitize_callback'     => 'absint'
	)
);
$wp_customize->add_control(
	'empowerment_shop_column_no',
	array(
		'label'                 =>  esc_html__('Column no.', 'empowerment'),
		'section'               => 'empowerment_shop_setting_section',
		'type'                  => 'number',
		'input_attrs' 			=> array(
			'min' => 1,
			'max' => 4,
			'step'  => 1
		),
		'active_callback'  => 'empowerment_shop_column_cb',
	)
);
$wp_customize->add_setting(
	'empowerment_product_per_page',
	array(
		'capability'            => 'edit_theme_options',
		'default'               => 9,
		'sanitize_callback'     => 'absint'
	)
);
$wp_customize->add_control(
	'empowerment_product_per_page',
	array(
		'type'                  => 'number',
		'label'                 =>  esc_html__('Product per page', 'empowerment'),
		'section'               => 'empowerment_shop_setting_section',
	)
);
$wp_customize->add_setting(
	'empowerment_shop_sidebar_layout',
	array(
		'default' => 'right-sidebar',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_radio_sanitization'
	)
);
$wp_customize->add_control(
	new Empowerment_Image_Radio_Button_Custom_Control(
		$wp_customize,
		'empowerment_shop_sidebar_layout',
		array(
			'label' => esc_html__('Choose Sidebar Layout', 'empowerment'),
			'section' => 'empowerment_shop_setting_section',
			'choices' => array(
				'left-sidebar' => array(
					'image' => trailingslashit(get_template_directory_uri()) . 'inc/empowerment-customizer/images/sidebar-left.png',
					'name' => esc_html__('Left Sidebar', 'empowerment')
				),
				'right-sidebar' => array(
					'image' => trailingslashit(get_template_directory_uri()) . 'inc/empowerment-customizer/images/sidebar-right.png',
					'name' => esc_html__('Right Sidebar', 'empowerment')
				),
				'no-sidebar' => array(
					'image' => trailingslashit(get_template_directory_uri()) . 'inc/empowerment-customizer/images/sidebar-none.png',
					'name' => esc_html__('No Sidebar', 'empowerment')
				)
			)
		)
	)
);
$wp_customize->add_setting('empowerment_shop_sidebar', array(
	'default'           =>  'default-sidebar',
	'sanitize_callback' => 'empowerment_text_sanitization',
));
$wp_customize->add_control(
	new Empowerment_Sidebar_Dropdown_Custom_Control(
		$wp_customize,
		'empowerment_shop_sidebar',
		array(
			'label'    		=> esc_html__('Choose Sidebar', 'empowerment'),
			'section'  		=> 'empowerment_shop_setting_section',
			'active_callback'=>'empowerment_single_shop_sidebar_cb',
		)
	)
);
