<?php 
class empowerment_recent_post_widgets extends WP_Widget {
	function __construct() {
		parent::__construct(
			'empowerment_recent_post_widgets', // Base ID
			esc_html__( '*Empowerment - Recent Posts', 'empowerment' ), // Name
			array( 'description' => esc_html__( 'Empowerment Recent Posts', 'empowerment' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
		?>
		<?php
		echo wp_kses_post( $args['before_widget'] );
		$empowerment_recent_post_title = isset($instance['empowerment_recent_post_title']) ? $instance['empowerment_recent_post_title'] : '';
		$empowerment_recent_post_per_page = isset($instance['empowerment_recent_post_per_page']) ? $instance['empowerment_recent_post_per_page'] : '';
		$hide_recent_post_sticky_post = isset($instance['hide_recent_post_sticky_post']) ? $instance['hide_recent_post_sticky_post'] : '';
		$hide_recent_post_date = isset($instance['hide_recent_post_date']) ? $instance['hide_recent_post_date'] : '';
		if ($hide_recent_post_sticky_post == 1) {
			$ingnore_sticky_value = 1;
		}else{
			$ingnore_sticky_value = 0;
		}
		?>
		<div class="empowerment-recent-posts empowerment-recent">
			<?php 
			$title = apply_filters( 'widget_title', esc_html( $empowerment_recent_post_title ), $instance );
		    if ( $title ) {
		        echo wp_kses_post( $args['before_title'] ) . esc_html( $title ) . wp_kses_post( $args['after_title'] );
		    }
			$recent_args = array(
				'post_type'=>'post',
				'posts_per_page'=> $empowerment_recent_post_per_page,
				'ignore_sticky_posts' => $ingnore_sticky_value,
				'order'=>'desc',
			);
			$empowerment_recent_post_item = new wp_query($recent_args);
			if ($empowerment_recent_post_item->have_posts()) { 
				$i = 1 ;
				?>
				<ul class="empowerment-recent-post-holder">
					<?php while ($empowerment_recent_post_item->have_posts()) {
						$empowerment_recent_post_item->the_post();
						$count_of_recent_post = $i++;
						if ( ($count_of_recent_post < 2) && !$ingnore_sticky_value ) {
							$recent_post_class = 'recent-post-full';
							$recent_post_img_size = 'widget_rcp_size';
						}else{
							$recent_post_class = 'recent-post-default';
							$recent_post_img_size = 'thumbnail';
						}
						?>
						<li class="empowerment-recent-post-item <?php echo esc_attr($recent_post_class);?>">
								<?php if (has_post_thumbnail( null )): ?>
									<figure>
										<a href="<?php the_permalink();?>">
											<img src="<?php the_post_thumbnail_url($recent_post_img_size); ?>" alt="<?php echo esc_attr(get_the_title());?>">
										</a>
									</figure>
								<?php endif ?>
								<div class="empowerment-recent-post-content">
									<?php if ($hide_recent_post_date != 1): ?>										
										<span class="mdates"><?php echo get_the_date('M d, Y');?>
									</span>
								<?php endif ?>
								<?php 
								if ( ($count_of_recent_post < 2) && !$ingnore_sticky_value ){ ?>
									<h5>
									<a href="<?php the_permalink();?>"> <?php the_title(); ?></a>
									</h5>
									<p>
										<?php 	
										$count_number = 50;
										$content = get_the_content(); 
										$count_content = strlen($content);
										$content = get_the_excerpt();
										echo wp_kses_post(substr($content, 0, $count_number));
										if($count_content > $count_number): 
											echo esc_html('...');
										endif;
										?>
									</p>
								<?php }else{
									?>
									<h6>
									<a href="<?php the_permalink();?>"> <?php the_title(); ?></a>
									</h6>
									<?php
								} ?>
							</div>
					</li>
				<?php } wp_reset_postdata(); ?>
			</ul>
		<?php } ?>
	</div>
	<?php
	echo wp_kses_post($args['after_widget']);
}
public function form( $instance ) {
	$empowerment_recent_post_title = ! empty( $instance['empowerment_recent_post_title'] ) ? $instance['empowerment_recent_post_title'] : __('Recent Posts','empowerment');
	$empowerment_recent_post_per_page = ! empty( $instance['empowerment_recent_post_per_page'] ) ? $instance['empowerment_recent_post_per_page'] : 5;
	$hide_recent_post_sticky_post = ! empty( $instance['hide_recent_post_sticky_post'] ) ? $instance['hide_recent_post_sticky_post'] : '';
	$hide_recent_post_date = ! empty( $instance['hide_recent_post_date'] ) ? $instance['hide_recent_post_date'] : '';
	?>
	<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_title' ) ); ?>"><?php esc_html_e( 'Title:', 'empowerment' ); ?></label> 
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_recent_post_title' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_recent_post_title ); ?>">
		<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_per_page' ) ); ?>"><?php esc_html_e( 'Number of posts:', 'empowerment' ); ?></label> 
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_per_page' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_recent_post_per_page' ) ); ?>" type="number" value="<?php echo esc_attr( $empowerment_recent_post_per_page ); ?>">
		<label style="width: 100%;
		padding: 10px 0; margin-right: 20px; display:inline-block"><?php esc_html_e( 'Hide Sticky posts', 'empowerment' ) ?> 
		<input class="checkbox"
		<?php if ( isset( $hide_recent_post_sticky_post ) && $hide_recent_post_sticky_post=='1' ) { echo 'checked="checked"'; } ?>
		id = "<?php echo esc_attr($this->get_field_id( 'hide_recent_post_sticky_post' )); ?>"
		name = "<?php echo esc_attr($this->get_field_name( 'hide_recent_post_sticky_post' )); ?>"
		value = "1"
		type = "checkbox"
		style="float: right; margin-top: px;"
		/>
	</label>
	<label style="width: 100%;
	padding: 10px 0; margin-right: 20px; display:inline-block"><?php esc_html_e( 'Hide Date', 'empowerment' ) ?> 
	<input class="checkbox"
	<?php if ( isset( $hide_recent_post_date ) && $hide_recent_post_date=='1' ) { echo 'checked="checked"'; } ?>
	id = "<?php echo esc_attr($this->get_field_id( 'hide_recent_post_date' )); ?>"
	name = "<?php echo esc_attr($this->get_field_name( 'hide_recent_post_date' )); ?>"
	value = "1"
	type = "checkbox"
	style="float: right; margin-top: px;"
	/>
</label>
</p>
<?php 
}
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['empowerment_recent_post_per_page'] = ( ! empty( $new_instance['empowerment_recent_post_per_page'] ) ) ? absint( $new_instance['empowerment_recent_post_per_page'] ) : '';
	$instance['empowerment_recent_post_title'] = ( ! empty( $new_instance['empowerment_recent_post_title'] ) ) ? sanitize_text_field( $new_instance['empowerment_recent_post_title'] ) : '';
	$instance['hide_recent_post_sticky_post'] = ( ! empty( $new_instance['hide_recent_post_sticky_post'] ) ) ? absint( $new_instance['hide_recent_post_sticky_post'] ) : '';
	$instance['hide_recent_post_date'] = ( ! empty( $new_instance['hide_recent_post_date'] ) ) ? absint( $new_instance['hide_recent_post_date'] ) : '';
	return $instance;
}
} 
function empowerment_recent_post_widgets_register() {
	register_widget( 'empowerment_recent_post_widgets' );
}
add_action( 'widgets_init', 'empowerment_recent_post_widgets_register' );

/**
 * Recent post slider
 */
class empowerment_recent_post_slider_widgets extends WP_Widget {
	function __construct() {
		parent::__construct(
			'empowerment_recent_post_slider_widgets', 
			esc_html__( '*Empowerment - Recent Post Slider', 'empowerment' ), 
			array( 'description' => esc_html__( 'Empowerment Recent Post Slider', 'empowerment' ), )
		);
	}
	public function widget( $args, $instance ) {
		?>
		<?php
		echo wp_kses_post( $args['before_widget'] );
		$empowerment_recent_post_slider_post_title = isset($instance['empowerment_recent_post_slider_post_title']) ? $instance['empowerment_recent_post_slider_post_title']:'';
		$empowerment_recent_post_slider_post_per_page = isset($instance['empowerment_recent_post_slider_post_per_page']) ? $instance['empowerment_recent_post_slider_post_per_page']:'';
		$hide_recent_post_slider_post_date = isset($instance['hide_recent_post_slider_post_date']) ? $instance['hide_recent_post_slider_post_date']:'';
		?>
		<div class="empowerment-recent-post-slider empowerment-recent empowerment-recent-slider">
			<?php  
			$title = apply_filters( 'widget_title', esc_html( $empowerment_recent_post_slider_post_title ), $instance );
		    if ( $title ) {
		        echo wp_kses_post( $args['before_title'] ) . esc_html( $title ) . wp_kses_post( $args['after_title'] );
		    }
			$most_viewed_args = array(
				'post_type'=>'post',
				'posts_per_page'=> $empowerment_recent_post_slider_post_per_page,
				'orderby'=>'date',
				'order'=>'desc',
			);
			$empowerment_most_viewed_post_item = new wp_query($most_viewed_args);
			if ($empowerment_most_viewed_post_item->have_posts()) { 
				wp_enqueue_style( 'slick-theme');
				wp_enqueue_style( 'slick');
				wp_enqueue_script( 'slick');
				?>
				<ul id="empowerment-recent-post-slider-holder" class="empowerment-recent-post-slider-holder">
					<?php while ($empowerment_most_viewed_post_item->have_posts()) {
						$empowerment_most_viewed_post_item->the_post();
						?>
						<li class="empowerment-recent-post-slider-item">
							<div class="empowerment-recent-post-slider-item-holder">
								<?php if (has_post_thumbnail()): ?>
									<figure>
										<a href="<?php the_permalink();?>">
											<img src="<?php the_post_thumbnail_url('widget_rcp_size'); ?>" alt="<?php echo esc_attr(get_the_title());?>">
										</a>
									</figure>
								<?php endif ?>
								<div class="empowerment-recent-post-content">
									<?php if ($hide_recent_post_slider_post_date != 1): ?>										
										<span class="mdates"><?php echo get_the_date('M d, Y');?></span>
									<?php endif ?>
									<h4>
									<a href="<?php the_permalink();?>"> <?php the_title(); ?></a>
									</h4>
								</div>
							</div>
						</li>
					<?php } wp_reset_postdata(); ?>
				</ul>
			<?php } ?>
		</div>
		<?php
		echo wp_kses_post($args['after_widget']);
	}
	public function form( $instance ) {
		$empowerment_recent_post_slider_post_title = ! empty( $instance['empowerment_recent_post_slider_post_title'] ) ? $instance['empowerment_recent_post_slider_post_title'] : 'Recent Post ';
		$empowerment_recent_post_slider_post_per_page = ! empty( $instance['empowerment_recent_post_slider_post_per_page'] ) ? $instance['empowerment_recent_post_slider_post_per_page'] : 5;
		$hide_recent_post_slider_post_date = ! empty( $instance['hide_recent_post_slider_post_date'] ) ? $instance['hide_recent_post_slider_post_date'] : '';
		?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_slider_post_title' ) ); ?>"><?php esc_html_e( 'Title:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_slider_post_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_recent_post_slider_post_title' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_recent_post_slider_post_title ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_slider_post_per_page' ) ); ?>"><?php esc_html_e( 'Number of posts:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_recent_post_slider_post_per_page' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_recent_post_slider_post_per_page' ) ); ?>" type="number" value="<?php echo esc_attr( $empowerment_recent_post_slider_post_per_page ); ?>">
			
		<label style="width: 100%;
		padding: 10px 0; margin-right: 20px; display:inline-block"><?php esc_html_e( 'Hide Date', 'empowerment' ) ?> 
		<input class="checkbox"
		<?php if ( isset( $hide_recent_post_slider_post_date ) && $hide_recent_post_slider_post_date=='1' ) { echo 'checked="checked"'; } ?>
		id = "<?php echo esc_attr($this->get_field_id( 'hide_recent_post_slider_post_date' )); ?>"
		name = "<?php echo esc_attr($this->get_field_name( 'hide_recent_post_slider_post_date' )); ?>"
		value = "1"
		type = "checkbox"
		style="float: right; margin-top: px;"
		/>
	</label>
</p>
<?php 
}
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['empowerment_recent_post_slider_post_per_page'] = ( ! empty( $new_instance['empowerment_recent_post_slider_post_per_page'] ) ) ? absint( $new_instance['empowerment_recent_post_slider_post_per_page'] ) : '';
	$instance['empowerment_recent_post_slider_post_title'] = ( ! empty( $new_instance['empowerment_recent_post_slider_post_title'] ) ) ? sanitize_text_field( $new_instance['empowerment_recent_post_slider_post_title'] ) : '';
	$instance['hide_recent_post_slider_post_date'] = ( ! empty( $new_instance['hide_recent_post_slider_post_date'] ) ) ? absint( $new_instance['hide_recent_post_slider_post_date'] ) : '';
	return $instance;
}
} 
function empowerment_recent_post_slider_widgets_register() {
	register_widget( 'empowerment_recent_post_slider_widgets' );
}
add_action( 'widgets_init', 'empowerment_recent_post_slider_widgets_register' );

/**
 * Author Box Widget
 */
class empowerment_author_box_widgets extends WP_Widget {
	function __construct() {
		parent::__construct(
			'empowerment_author_box_widgets', 
			esc_html__( '*Empowerment - Author Box', 'empowerment' ), 
			array( 'description' => esc_html__( 'Empowerment Author Box', 'empowerment' ), )
		);
	}
	public function widget( $args, $instance ) {
		?>
		<?php
		echo wp_kses_post( $args['before_widget'] );
		$empowerment_author_box_widget_title = ! empty( $instance['empowerment_author_box_widget_title'] ) ? $instance['empowerment_author_box_widget_title'] : __('About Me', 'empowerment');
		$empowerment_author_box_author_name = ! empty( $instance['empowerment_author_box_author_name'] ) ? $instance['empowerment_author_box_author_name'] : 'Joe Doe';
		$empowerment_author_box_author_desc = ! empty( $instance['empowerment_author_box_author_desc'] ) ? $instance['empowerment_author_box_author_desc'] : '';
		$empowerment_author_box_author_image = ! empty( $instance['empowerment_author_box_author_image'] ) ? $instance['empowerment_author_box_author_image'] : '';
		$empowerment_author_box_author_image_type = ! empty( $instance['empowerment_author_box_author_image_type'] ) ? $instance['empowerment_author_box_author_image_type'] : '';
		$empowerment_author_box_author_link_facebook = ! empty( $instance['empowerment_author_box_author_link_facebook'] ) ? $instance['empowerment_author_box_author_link_facebook'] : '';
		$empowerment_author_box_author_link_pinterest = ! empty( $instance['empowerment_author_box_author_link_pinterest'] ) ? $instance['empowerment_author_box_author_link_pinterest'] : '';
		$empowerment_author_box_author_link_twitter = ! empty( $instance['empowerment_author_box_author_link_twitter'] ) ? $instance['empowerment_author_box_author_link_twitter'] : '';
		$empowerment_author_box_author_link_instagram = ! empty( $instance['empowerment_author_box_author_link_instagram'] ) ? $instance['empowerment_author_box_author_link_instagram'] : '';
		$empowerment_author_box_author_link_youtube = ! empty( $instance['empowerment_author_box_author_link_youtube'] ) ? $instance['empowerment_author_box_author_link_youtube'] : '';
		$empowerment_author_box_author_link_linkedin = ! empty( $instance['empowerment_author_box_author_link_linkedin'] ) ? $instance['empowerment_author_box_author_link_linkedin'] : '';
		?>
		<div class="empowerment-author-box">
			<?php  
			$title = apply_filters( 'widget_title', esc_html( $empowerment_author_box_widget_title ), $instance );
		    if ( $title ) {
		        echo wp_kses_post( $args['before_title'] ) . esc_html( $title ) . wp_kses_post( $args['after_title'] );
		    } ?>
			<div class="emp-author-box-content">
				<?php if( !empty( $empowerment_author_box_author_image ) ):
					$image_attributes = wp_get_attachment_image_src($empowerment_author_box_author_image, 'full'); ?>
					<div class="author-image <?php echo ( $empowerment_author_box_author_image_type == 1 ) ? 'rounded' : '';?>">
						<img src="<?php echo esc_url($image_attributes[0]);?>">
					</div>
				<?php endif;
				if( !empty( $empowerment_author_box_author_name ) || !empty( $empowerment_author_box_author_image ) || !empty( $empowerment_author_box_author_desc ) ): ?>
					<div class="emp-author-text-wrap">
						<?php 
						if( !empty($empowerment_author_box_author_name) ): ?>
							<h6 class="emp-author-name"><?php echo esc_html($empowerment_author_box_author_name); ?></h6>
						<?php endif;?>
						<?php 
						if( !empty($empowerment_author_box_author_desc) ): ?>
							<div class="emp-author-desc"><?php echo esc_html($empowerment_author_box_author_desc); ?></div>
						<?php endif;
						if( !empty( $empowerment_author_box_author_link_facebook ) || !empty( $empowerment_author_box_author_link_pinterest ) || !empty( $empowerment_author_box_author_link_twitter ) || !empty( $empowerment_author_box_author_link_instagram ) || !empty( $empowerment_author_box_author_link_youtube ) || !empty( $empowerment_author_box_author_link_linkedin ) ):
						?>
							<div class="emp-author-links">
								<?php 
								if( !empty($empowerment_author_box_author_link_facebook)):?>
									<a href="<?php echo esc_url( $empowerment_author_box_author_link_facebook );?>">
										<i class="fa fa-facebook"></i>
									</a>
								<?php endif;
								if( !empty($empowerment_author_box_author_link_pinterest)):?>
									<a href="<?php echo esc_url( $empowerment_author_box_author_link_pinterest );?>">
										<i class="fa fa-pinterest"></i>
									</a>
								<?php endif;
								if( !empty($empowerment_author_box_author_link_twitter)):?>
									<a href="<?php echo esc_url( $empowerment_author_box_author_link_twitter );?>">
										<i class="fa fa-twitter"></i>
									</a>
								<?php endif;
								if( !empty($empowerment_author_box_author_link_instagram)):?>
									<a href="<?php echo esc_url( $empowerment_author_box_author_link_instagram );?>">
										<i class="fa fa-instagram"></i>
									</a>
								<?php endif;
								if( !empty($empowerment_author_box_author_link_youtube)):?>
									<a href="<?php echo esc_url( $empowerment_author_box_author_link_youtube );?>">
										<i class="fa fa-youtube"></i>
									</a>
								<?php endif;
								if( !empty($empowerment_author_box_author_link_linkedin)):?>
									<a href="<?php echo esc_url( $empowerment_author_box_author_link_linkedin );?>">
										<i class="fa fa-linkedin"></i>
									</a>
								<?php endif;?>
							</div>
						<?php endif;?>
					</div>
				<?php endif;?>
			</div>
		</div>
		<?php
		echo wp_kses_post($args['after_widget']);
	}
	public function form( $instance ) {
		$empowerment_author_box_widget_title = ! empty( $instance['empowerment_author_box_widget_title'] ) ? $instance['empowerment_author_box_widget_title'] : __('About Me', 'empowerment');
		$empowerment_author_box_author_name = ! empty( $instance['empowerment_author_box_author_name'] ) ? $instance['empowerment_author_box_author_name'] : 'Joe Doe';
		$empowerment_author_box_author_desc = ! empty( $instance['empowerment_author_box_author_desc'] ) ? $instance['empowerment_author_box_author_desc'] : '';
		$empowerment_author_box_author_image = ! empty( $instance['empowerment_author_box_author_image'] ) ? $instance['empowerment_author_box_author_image'] : '';
		$empowerment_author_box_author_image_type = ! empty( $instance['empowerment_author_box_author_image_type'] ) ? $instance['empowerment_author_box_author_image_type'] : '';
		$empowerment_author_box_author_link_facebook = ! empty( $instance['empowerment_author_box_author_link_facebook'] ) ? $instance['empowerment_author_box_author_link_facebook'] : '';
		$empowerment_author_box_author_link_pinterest = ! empty( $instance['empowerment_author_box_author_link_pinterest'] ) ? $instance['empowerment_author_box_author_link_pinterest'] : '';
		$empowerment_author_box_author_link_twitter = ! empty( $instance['empowerment_author_box_author_link_twitter'] ) ? $instance['empowerment_author_box_author_link_twitter'] : '';
		$empowerment_author_box_author_link_instagram = ! empty( $instance['empowerment_author_box_author_link_instagram'] ) ? $instance['empowerment_author_box_author_link_instagram'] : '';
		$empowerment_author_box_author_link_youtube = ! empty( $instance['empowerment_author_box_author_link_youtube'] ) ? $instance['empowerment_author_box_author_link_youtube'] : '';
		$empowerment_author_box_author_link_linkedin = ! empty( $instance['empowerment_author_box_author_link_linkedin'] ) ? $instance['empowerment_author_box_author_link_linkedin'] : '';
		?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_widget_title' ) ); ?>"><?php esc_html_e( 'Title:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_widget_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_widget_title' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_widget_title ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_name' ) ); ?>"><?php esc_html_e( 'Author Name:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_name' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_name' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_author_name ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_desc' ) ); ?>"><?php esc_html_e( 'Description:', 'empowerment' ); ?></label> 
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_desc' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_desc' ) ); ?>"><?php echo esc_html( $empowerment_author_box_author_desc ); ?></textarea>
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_image' ) ); ?>"><?php esc_html_e( 'Author Image:', 'empowerment' ); ?></label> 
			<?php
			$image = __('Upload Image', 'empowerment');
			$image_size = 'full';
			$display = 'none';
			$class = 'button';
			$image_attributes = wp_get_attachment_image_src($empowerment_author_box_author_image, $image_size);
			if ($image_attributes) {
				$image = '<img src="' . esc_url($image_attributes[0]) . '"/>';
				$display = 'inline-block';
				$class = 'has-image';
			}
			?>
			<a href="#" class="empowerment_upload_image_button <?php echo esc_attr($class); ?>"><?php echo wp_kses_post($image); ?></a>
			<input type="hidden" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_image' ) ); ?>" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_image' ) ); ?>" value="<?php echo esc_attr($empowerment_author_box_author_image); ?> " />
			<a href="#" class="empowerment_remove_image_button" style="display:inline-block;display:<?php echo esc_attr($display); ?>"><?php esc_html_e('Remove Image', 'empowerment'); ?></a>
			<div class="epm-author-checkbox">
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_image_type' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_image_type' ) ); ?>" 
		<?php echo ($empowerment_author_box_author_image_type == 1) ? 'checked="checked"' : ''; ?> type="checkbox" value="1">
				<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_image_type' ) ); ?>"><?php esc_html_e( 'Show round author image.', 'empowerment' ); ?></label> 
			</div>
			<span class="social-link-group"><?php esc_html_e( 'Social Links', 'empowerment' ); ?></span> 
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_facebook' ) ); ?>"><?php esc_html_e( 'Facebook:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_facebook' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_link_facebook' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_author_link_facebook ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_pinterest' ) ); ?>"><?php esc_html_e( 'Pinterest:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_pinterest' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_link_pinterest' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_author_link_pinterest ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_twitter' ) ); ?>"><?php esc_html_e( 'Twitter:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_twitter' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_link_twitter' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_author_link_twitter ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_instagram' ) ); ?>"><?php esc_html_e( 'Instagram:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_instagram' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_link_instagram' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_author_link_instagram ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_youtube' ) ); ?>"><?php esc_html_e( 'Youtube:', 'empowerment' ); ?></label>  
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_youtube' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_link_youtube' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_author_link_youtube ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_linkedin' ) ); ?>"><?php esc_html_e( 'Linkedin:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_author_box_author_link_linkedin' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_author_box_author_link_linkedin' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_author_box_author_link_linkedin ); ?>">

</p>
<?php 
}
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['empowerment_author_box_widget_title'] = ! empty( $new_instance['empowerment_author_box_widget_title'] ) ? $new_instance['empowerment_author_box_widget_title'] : __('About Me', 'empowerment');
	$instance['empowerment_author_box_author_name'] = ! empty( $new_instance['empowerment_author_box_author_name'] ) ? $new_instance['empowerment_author_box_author_name'] : __('Joe Doe', 'empowerment');
	$instance['empowerment_author_box_author_desc'] = ! empty( $new_instance['empowerment_author_box_author_desc'] ) ? $new_instance['empowerment_author_box_author_desc'] : '';
	$instance['empowerment_author_box_author_image'] = ! empty( $new_instance['empowerment_author_box_author_image'] ) ? $new_instance['empowerment_author_box_author_image'] : '';
	$instance['empowerment_author_box_author_image_type'] = ! empty( $new_instance['empowerment_author_box_author_image_type'] ) ? $new_instance['empowerment_author_box_author_image_type'] : '';
	$instance['empowerment_author_box_author_link_facebook'] = ! empty( $new_instance['empowerment_author_box_author_link_facebook'] ) ? $new_instance['empowerment_author_box_author_link_facebook'] : '';
	$instance['empowerment_author_box_author_link_pinterest'] = ! empty( $new_instance['empowerment_author_box_author_link_pinterest'] ) ? $new_instance['empowerment_author_box_author_link_pinterest'] : '';
	$instance['empowerment_author_box_author_link_twitter'] = ! empty( $new_instance['empowerment_author_box_author_link_twitter'] ) ? $new_instance['empowerment_author_box_author_link_twitter'] : '';
	$instance['empowerment_author_box_author_link_instagram'] = ! empty( $new_instance['empowerment_author_box_author_link_instagram'] ) ? $new_instance['empowerment_author_box_author_link_instagram'] : '';
	$instance['empowerment_author_box_author_link_youtube'] = ! empty( $new_instance['empowerment_author_box_author_link_youtube'] ) ? $new_instance['empowerment_author_box_author_link_youtube'] : '';
	$instance['empowerment_author_box_author_link_linkedin'] = ! empty( $new_instance['empowerment_author_box_author_link_linkedin'] ) ? $new_instance['empowerment_author_box_author_link_linkedin'] : '';
	return $instance;
}
} 
function empowerment_author_box_widgets_register() {
	register_widget( 'empowerment_author_box_widgets' );
}
add_action( 'widgets_init', 'empowerment_author_box_widgets_register' );


/**
 * Social Links
 */
class empowerment_social_links_widgets extends WP_Widget {
	function __construct() {
		parent::__construct(
			'empowerment_social_links_widgets', 
			esc_html__( '*Empowerment - Social Links', 'empowerment' ), 
			array( 'description' => esc_html__( 'Empowerment Social Links', 'empowerment' ), )
		);
	}
	public function widget( $args, $instance ) {
		?>
		<?php
		echo wp_kses_post( $args['before_widget'] );
		$empowerment_social_links_widget_title = ! empty( $instance['empowerment_social_links_widget_title'] ) ? $instance['empowerment_social_links_widget_title'] : __('Social Links', 'empowerment');
		$empowerment_social_links_desc = ! empty( $instance['empowerment_social_links_desc'] ) ? $instance['empowerment_social_links_desc'] : '';		
		$empowerment_social_links_facebook = ! empty( $instance['empowerment_social_links_facebook'] ) ? $instance['empowerment_social_links_facebook'] : '';
		$empowerment_social_links_pinterest = ! empty( $instance['empowerment_social_links_pinterest'] ) ? $instance['empowerment_social_links_pinterest'] : '';
		$empowerment_social_links_twitter = ! empty( $instance['empowerment_social_links_twitter'] ) ? $instance['empowerment_social_links_twitter'] : '';
		$empowerment_social_links_instagram = ! empty( $instance['empowerment_social_links_instagram'] ) ? $instance['empowerment_social_links_instagram'] : '';
		$empowerment_social_links_youtube = ! empty( $instance['empowerment_social_links_youtube'] ) ? $instance['empowerment_social_links_youtube'] : '';
		$empowerment_social_links_linkedin = ! empty( $instance['empowerment_social_links_linkedin'] ) ? $instance['empowerment_social_links_linkedin'] : '';
		?>
		<div class="empowerment-social-links">
			<?php 
			$title = apply_filters( 'widget_title', esc_html( $empowerment_social_links_widget_title ), $instance );
		    if ( $title ) {
		        echo wp_kses_post( $args['before_title'] ) . esc_html( $title ) . wp_kses_post( $args['after_title'] );
		    }
		    if(  !empty( $empowerment_social_links_desc ) ): ?>
				<div class="emp-social-link-wrap">
					<?php 
					if( !empty($empowerment_social_links_desc) ): ?>
						<div class="emp-social-links-desc"><?php echo esc_html($empowerment_social_links_desc); ?></div>
					<?php endif;
					if( !empty( $empowerment_social_links_facebook ) || !empty( $empowerment_social_links_pinterest ) || !empty( $empowerment_social_links_twitter ) || !empty( $empowerment_social_links_instagram ) || !empty( $empowerment_social_links_youtube ) || !empty( $empowerment_social_links_linkedin ) ):
					?>
						<div class="emp-social-links">
							<?php 
							if( !empty($empowerment_social_links_facebook)):?>
								<a href="<?php echo esc_url($empowerment_social_links_facebook);?>">
									<i class="fa fa-facebook"></i>
								</a>
							<?php endif;
							if( !empty($empowerment_social_links_pinterest)):?>
								<a href="<?php echo esc_url($empowerment_social_links_pinterest);?>">
									<i class="fa fa-pinterest"></i>
								</a>
							<?php endif;
							if( !empty($empowerment_social_links_twitter)):?>
								<a href="<?php echo esc_url($empowerment_social_links_twitter);?>">
									<i class="fa fa-twitter"></i>
								</a>
							<?php endif;
							if( !empty($empowerment_social_links_instagram)):?>
								<a href="<?php echo esc_url($empowerment_social_links_instagram);?>">
									<i class="fa fa-instagram"></i>
								</a>
							<?php endif;
							if( !empty($empowerment_social_links_youtube)):?>
								<a href="<?php echo esc_url($empowerment_social_links_youtube);?>">
									<i class="fa fa-youtube"></i>
								</a>
							<?php endif;
							if( !empty($empowerment_social_links_linkedin)):?>
								<a href="<?php echo esc_url($empowerment_social_links_linkedin);?>">
									<i class="fa fa-linkedin"></i>
								</a>
							<?php endif;?>
						</div>
					<?php endif;?>
				</div>
			<?php endif;?>
		</div>
		<?php
		echo wp_kses_post($args['after_widget']);
	}
	public function form( $instance ) {
		$empowerment_social_links_widget_title = ! empty( $instance['empowerment_social_links_widget_title'] ) ? $instance['empowerment_social_links_widget_title'] : __('Social Links', 'empowerment');
		$empowerment_social_links_desc = ! empty( $instance['empowerment_social_links_desc'] ) ? $instance['empowerment_social_links_desc'] : '';
		$empowerment_social_links_facebook = ! empty( $instance['empowerment_social_links_facebook'] ) ? $instance['empowerment_social_links_facebook'] : '';
		$empowerment_social_links_pinterest = ! empty( $instance['empowerment_social_links_pinterest'] ) ? $instance['empowerment_social_links_pinterest'] : '';
		$empowerment_social_links_twitter = ! empty( $instance['empowerment_social_links_twitter'] ) ? $instance['empowerment_social_links_twitter'] : '';
		$empowerment_social_links_instagram = ! empty( $instance['empowerment_social_links_instagram'] ) ? $instance['empowerment_social_links_instagram'] : '';
		$empowerment_social_links_youtube = ! empty( $instance['empowerment_social_links_youtube'] ) ? $instance['empowerment_social_links_youtube'] : '';
		$empowerment_social_links_linkedin = ! empty( $instance['empowerment_social_links_linkedin'] ) ? $instance['empowerment_social_links_linkedin'] : '';
		?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_widget_title' ) ); ?>"><?php esc_html_e( 'Title:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_widget_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_widget_title' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_social_links_widget_title ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_desc' ) ); ?>"><?php esc_html_e( 'Description:', 'empowerment' ); ?></label> 
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_desc' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_desc' ) ); ?>"><?php echo esc_html( $empowerment_social_links_desc ); ?></textarea>
			<span class="social-link-group"><?php esc_html_e( 'Social Links', 'empowerment' ); ?></span> 
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_facebook' ) ); ?>"><?php esc_html_e( 'Facebook:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_facebook' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_facebook' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_social_links_facebook ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_pinterest' ) ); ?>"><?php esc_html_e( 'Pinterest:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_pinterest' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_pinterest' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_social_links_pinterest ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_twitter' ) ); ?>"><?php esc_html_e( 'Twitter:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_twitter' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_twitter' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_social_links_twitter ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_instagram' ) ); ?>"><?php esc_html_e( 'Instagram:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_instagram' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_instagram' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_social_links_instagram ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_youtube' ) ); ?>"><?php esc_html_e( 'Youtube:', 'empowerment' ); ?></label>  
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_youtube' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_youtube' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_social_links_youtube ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_linkedin' ) ); ?>"><?php esc_html_e( 'Linkedin:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_social_links_linkedin' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_social_links_linkedin' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_social_links_linkedin ); ?>">

</p>
<?php 
}
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['empowerment_social_links_widget_title'] = ! empty( $new_instance['empowerment_social_links_widget_title'] ) ? $new_instance['empowerment_social_links_widget_title'] : __('Social Links', 'empowerment');
	$instance['empowerment_social_links_desc'] = ! empty( $new_instance['empowerment_social_links_desc'] ) ? $new_instance['empowerment_social_links_desc'] : '';
	$instance['empowerment_social_links_facebook'] = ! empty( $new_instance['empowerment_social_links_facebook'] ) ? $new_instance['empowerment_social_links_facebook'] : '';
	$instance['empowerment_social_links_pinterest'] = ! empty( $new_instance['empowerment_social_links_pinterest'] ) ? $new_instance['empowerment_social_links_pinterest'] : '';
	$instance['empowerment_social_links_twitter'] = ! empty( $new_instance['empowerment_social_links_twitter'] ) ? $new_instance['empowerment_social_links_twitter'] : '';
	$instance['empowerment_social_links_instagram'] = ! empty( $new_instance['empowerment_social_links_instagram'] ) ? $new_instance['empowerment_social_links_instagram'] : '';
	$instance['empowerment_social_links_youtube'] = ! empty( $new_instance['empowerment_social_links_youtube'] ) ? $new_instance['empowerment_social_links_youtube'] : '';
	$instance['empowerment_social_links_linkedin'] = ! empty( $new_instance['empowerment_social_links_linkedin'] ) ? $new_instance['empowerment_social_links_linkedin'] : '';
	return $instance;
}
} 
function empowerment_social_links_widgets_register() {
	register_widget( 'empowerment_social_links_widgets' );
}
add_action( 'widgets_init', 'empowerment_social_links_widgets_register' );



/**
 * News Letter
 */
class empowerment_newsletter_widgets extends WP_Widget {
	function __construct() {
		parent::__construct(
			'empowerment_newsletter_widgets', 
			esc_html__( '*Empowerment - Newsletter', 'empowerment' ), 
			array( 'description' => esc_html__( 'Empowerment Newsletter', 'empowerment' ), )
		);
	}
	public function widget( $args, $instance ) {
		?>
		<?php
		echo wp_kses_post( $args['before_widget'] );
		$empowerment_newsletter_widget_title = ! empty( $instance['empowerment_newsletter_widget_title'] ) ? $instance['empowerment_newsletter_widget_title'] : __('Newsletter', 'empowerment');
		$empowerment_newsletter_desc = ! empty( $instance['empowerment_newsletter_desc'] ) ? $instance['empowerment_newsletter_desc'] : '';		
		$empowerment_newsletter_shortcode = ! empty( $instance['empowerment_newsletter_shortcode'] ) ? $instance['empowerment_newsletter_shortcode'] : '';
		?>
		<div class="empowerment-newsletter-widget">
			<?php
			$title = apply_filters( 'widget_title', esc_html( $empowerment_newsletter_widget_title ), $instance );
		    if ( $title ) {
		        echo wp_kses_post( $args['before_title'] ) . esc_html( $title ) . wp_kses_post( $args['after_title'] );
		    } ?>
			<?php if(  !empty( $empowerment_newsletter_desc ) ): ?>
				<div class="emp-social-link-wrap">
					<?php 
					if( !empty($empowerment_newsletter_desc) ): ?>
						<div class="emp-social-links-desc"><?php echo esc_html($empowerment_newsletter_desc); ?></div>
					<?php endif;
					if( !empty( $empowerment_newsletter_shortcode ) ):
					?>
						<div class="emp-social-links">
							<?php 
							echo do_shortcode($empowerment_newsletter_shortcode);
							?>
						</div>
					<?php endif;?>
				</div>
			<?php endif;?>
		</div>
		<?php
		echo wp_kses_post($args['after_widget']);
	}
	public function form( $instance ) {
		$empowerment_newsletter_widget_title = ! empty( $instance['empowerment_newsletter_widget_title'] ) ? $instance['empowerment_newsletter_widget_title'] : __('Newsletter', 'empowerment');
		$empowerment_newsletter_desc = ! empty( $instance['empowerment_newsletter_desc'] ) ? $instance['empowerment_newsletter_desc'] : '';
		$empowerment_newsletter_shortcode = ! empty( $instance['empowerment_newsletter_shortcode'] ) ? $instance['empowerment_newsletter_shortcode'] : '';
		?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_newsletter_widget_title' ) ); ?>"><?php esc_html_e( 'Title:', 'empowerment' ); ?></label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_newsletter_widget_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_newsletter_widget_title' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_newsletter_widget_title ); ?>">
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_newsletter_desc' ) ); ?>"><?php esc_html_e( 'Description:', 'empowerment' ); ?></label> 
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_newsletter_desc' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_newsletter_desc' ) ); ?>"><?php echo esc_html( $empowerment_newsletter_desc ); ?></textarea>
			<label for="<?php echo esc_attr( $this->get_field_id( 'empowerment_newsletter_shortcode' ) ); ?>">
				<?php esc_html_e( 'Shortcode:', 'empowerment' ); ?></label> 
			<i class="newsletter-shortcode-title"><?php esc_html_e( 'Please paste your newsletter shortcode here.', 'empowerment' ); ?></i>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'empowerment_newsletter_shortcode' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'empowerment_newsletter_shortcode' ) ); ?>" type="text" value="<?php echo esc_attr( $empowerment_newsletter_shortcode ); ?>">

</p>
<?php 
}
public function update( $new_instance, $old_instance ) {
	$instance = array();
	$instance['empowerment_newsletter_widget_title'] = ! empty( $new_instance['empowerment_newsletter_widget_title'] ) ? $new_instance['empowerment_newsletter_widget_title'] : __('Newsletter', 'empowerment');
	$instance['empowerment_newsletter_desc'] = ! empty( $new_instance['empowerment_newsletter_desc'] ) ? $new_instance['empowerment_newsletter_desc'] : '';
	$instance['empowerment_newsletter_shortcode'] = ! empty( $new_instance['empowerment_newsletter_shortcode'] ) ? $new_instance['empowerment_newsletter_shortcode'] : '';
	return $instance;
}
} 
function empowerment_newsletter_widgets_register() {
	register_widget( 'empowerment_newsletter_widgets' );
}
add_action( 'widgets_init', 'empowerment_newsletter_widgets_register' );